SDL_PointInRect(3)

NAME
SDL_PointInRect - Determine whether a point resides inside a rectangle.

HEADER FILE
Defined in SDL3/SDL_rect.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_FORCE_INLINE SDL_bool SDL_PointInRect(const SDL_Point *p, const SDL_Rect *r);

DESCRIPTION
A point is considered part of a rectangle if both p and r are not NULL, and p and < the rectangle's x+w and y+h. So a 1x1 rectangle considers point (0,0) as "inside" and (0,1) as not. Note that this is a forced-inline function in a header, and not a public API function available in the SDL library (which is to say, the code is embedded in the calling program and the linker and dynamic loader will not be able to find this function inside SDL itself).

FUNCTION PARAMETERS

p   the point to test.

r   the rectangle to test.

RETURN VALUE
Returns SDL_TRUE
 if p is contained by r , SDL_FALSE
 otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.